sensorfw: KeyboardSliderAdaptor Class Reference

sensorfw

Public Types | Static Public Member Functions | Protected Member Functions | List of all members
KeyboardSliderAdaptor Class Reference

Adaptor for device keyboard slider state. More...

`#include <kbslideradaptor.h>`

Inheritance diagram for KeyboardSliderAdaptor:

## Public Types
enum | KeyboardSliderState { KeyboardSliderStateOpen = 0 , KeyboardSliderStateClosed , KeyboardSliderStateUnknown }

## Static Public Member Functions
static DeviceAdaptor * | factoryMethod (const QString &id)
| Factory method for gaining a new instance of KeyboardSliderAdaptor class.

## Protected Member Functions
| KeyboardSliderAdaptor (const QString &id)
| Constructor.
| ~KeyboardSliderAdaptor ()
virtual unsigned int | interval () const
virtual bool | setInterval (int sessionId, unsigned int interval_us)

## Detailed Description

Adaptor for device keyboard slider state.

Events are received through gpio-keys input layer.

Listening clients are notified whenever the state has changed.

Definition at line 40 of file kbslideradaptor.h.

## Member Enumeration Documentation

## ◆ KeyboardSliderState

enum KeyboardSliderAdaptor::KeyboardSliderState

Enumerator
KeyboardSliderStateOpen | Keyboard slider open.
KeyboardSliderStateClosed | Keyboard slider closed.
KeyboardSliderStateUnknown | Keyboard slider state unknown.

Definition at line 45 of file kbslideradaptor.h.

## Constructor & Destructor Documentation

## ◆ KeyboardSliderAdaptor()

KeyboardSliderAdaptor::KeyboardSliderAdaptor | ( | const QString & | id | ) |
| protected

Constructor.

Parameters

  id | Identifier for the adaptor.

## ◆ ~KeyboardSliderAdaptor()

KeyboardSliderAdaptor::~KeyboardSliderAdaptor | ( |  | ) |
| protected

## Member Function Documentation

## ◆ factoryMethod()

static DeviceAdaptor * KeyboardSliderAdaptor::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for gaining a new instance of KeyboardSliderAdaptor class.

Parameters

  id | Identifier for the adaptor.

Definition at line 55 of file kbslideradaptor.h.

## ◆ interval()

virtual unsigned int KeyboardSliderAdaptor::interval | ( |  | ) | const
| protectedvirtual

## ◆ setInterval()

virtual bool KeyboardSliderAdaptor::setInterval | ( | int | sessionId,
|  | unsigned int | interval_us )
| protectedvirtual

The documentation for this class was generated from the following file:

- adaptors/kbslideradaptor/kbslideradaptor.h